const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const reading_circle_events = sequelize.define(
    'reading_circle_events',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

title: {
        type: DataTypes.TEXT,
      
      

      },

agenda: {
        type: DataTypes.TEXT,
      
      

      },

status: {
        type: DataTypes.ENUM,
      
      

        values: [

"scheduled",


"ongoing",


"completed",


"cancelled"

        ],

      },

start_at: {
        type: DataTypes.DATE,
      
      

      },

end_at: {
        type: DataTypes.DATE,
      
      

      },

meeting_link: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  reading_circle_events.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity







































//end loop



    db.reading_circle_events.belongsTo(db.book_clubs, {
      as: 'book_club',
      foreignKey: {
        name: 'book_clubId',
      },
      constraints: false,
    });

    db.reading_circle_events.belongsTo(db.books, {
      as: 'book',
      foreignKey: {
        name: 'bookId',
      },
      constraints: false,
    });




    db.reading_circle_events.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.reading_circle_events.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return reading_circle_events;
};


